package jndi.test;

import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.quartz.SchedulerFactory;
import org.quartz.impl.StdSchedulerFactory;

public class TestSchedulingUtility {

	private static Scheduler _instance = null;
	
	
	public static Scheduler getScheduler() throws SchedulerException
	{
		synchronized(TestSchedulingUtility.class)
		{
			if ( _instance == null )
			{
				// TODO: Gestire con file di configurazione
				SchedulerFactory schFactory = new StdSchedulerFactory();
				_instance = schFactory.getScheduler();
				_instance.start();
			}
			
			return _instance;
		}
	}
	
}
